package com.zaojiao.app.feat.home.navigation


import androidx.navigation.NavController
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.zaojiao.app.feat.home.course.HomeCourseRoute

const val homeCourse = "home/course"

fun NavController.navigateToHomeCourse(navOptions: NavOptions? = null) {
    this.navigate(homeCourse, navOptions)
}

fun NavGraphBuilder.homeCoursePage(
    onBannerClick: (String) -> Unit,
    onCourseClick: (String) -> Unit,
) {
    composable(route = homeCourse) { HomeCourseRoute() }
}
